/*
Copyright (C) Christopher Fogelberg, Mengjie Zhang 2005

This file is part of VUWLGP.

VUWLGP is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VUWLGP is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VUWLGP; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
  
#include <iostream>

#include "Config.h"
#include "FitnessEnvironment.h"

int main(int argc, char** argv) {
  VUWLGP::Config<double>* config = new VUWLGP::Config<double>();
  config->numRegisters = 10;
  config->numFeatures = 5;

  VUWLGP::FitnessEnvironment<double> fe(config);
  fe.WriteRegister(0, 100);  
  fe.WriteRegister(1, 101);
  fe.WriteRegister(2, 102);
  fe.WriteRegister(3, 103);
  fe.WriteRegister(4, 104);
  fe.WriteRegister(5, 105);
  fe.WriteRegister(6, 106);
  fe.WriteRegister(7, 107);
  fe.WriteRegister(8, 108);
  fe.WriteRegister(9, 109);

  std::cout << "If the register values are 100 and 109 then it all works: "
	    << fe.ReadRegister(0) << "\t" << fe.ReadRegister(9) << std::endl;
}
